%define subrel  1

Name:           osmo
Version:        0.2.10
Release:        %mkrel 2
Summary:        A handy lightweight PIM (Personal Information Manager)
License:        GPLv2+
Group:          Office
Url:            http://clayo.org/osmo
Source0:        http://downloads.sourceforge.net/osmo-pim/%{name}-%{version}.tar.gz
Patch0:         osmo-0.2.10-libnotify-0.7.patch

BuildRequires:  gtk+2-devel >= 2.10
BuildRequires:  gtkspell-devel >= 2.0.5
BuildRequires:  libical-devel >= 0.33
BuildRequires:  libtar-devel
BuildRequires:  libnotify-devel >= 0.4.4
BuildRequires:  libgringotts-devel >= 1.2.1
BuildRequires:  gtkhtml2-devel

%description
A handy personal organizer, which includes calendar, tasks manager, address
book and notes modules. It was designed to be small, easy to use and good
looking. It is quite convenient to use - for example, the user can perform
nearly all operations using the keyboard.
Also, many parameters are configurable to meet the user's preferences.
On the technical side, Osmo is a GTK+ based tool which uses a plain XML
database to store all personal data.
It is independent of any particular desktop environment. 

%prep
%setup -q

# Apply libnotify patch for vers >= 0.7
%ifarch x86_64
bits=64
%endif
[[ "$(rpm -q --qf '%{VERSION}' lib${bits}notify-devel)" > "0.6.9" ]] && \
patch -p0 < ../../SOURCES/osmo-0.2.10-libnotify-0.7.patch

%build
%configure2_5x LIBICAL_CFLAGS=-I/usr/include/libical
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README* TRANSLATORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_datadir}/sounds/%{name}
%{_mandir}/man1/%{name}.1*




%changelog

* Thu Dec 01 2011 barjac <barjac> 0.2.10-2.1.mga1
+ Revision: 174998
- Apply libnotify patch for libnotify >= 0.7
- moved %%subrel to top of spec
- Added subrel 1
- Add osmo to Mageia 1
- Bump release above 2010.2

* Tue Nov 29 2011 barjac <barjac> 0.2.10-1.mga2
+ Revision: 174124
- imported package osmo


* Tue Nov 29 2011 Barry Jackson <zen25000[at]zen.co.uk> 0.2.10-1.mga2
- Imported osmo

* Sat Apr 30 2011 Funda Wang <fwang@mandriva.org> 0.2.10-3mdv2011.0
+ Revision: 661058
- fix build with libnotify 0.7

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.10-2mdv2011.0
+ Revision: 613545
- rebuild

* Wed Apr 28 2010 Jani VM-CM-$limaa <wally@mandriva.org> 0.2.10-1mdv2010.1
+ Revision: 540411
- new version 0.2.10
- add BR
- drop unneeded patch
- use %%configure2_5x and %%makeinstall_std

* Mon Jan 18 2010 JM-CM-)rM-CM-4me Brenier <incubusss@mandriva.org> 0.2.8-1mdv2010.1
+ Revision: 493221
- import osmo

